- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SolverOptions Class Reference

the SolverOptions class. More...

`#include <OSOption.h>`

Collaboration diagram for SolverOptions:

[legend]
List of all members.

## Public Member Functions
| SolverOptions ()
| Default constructor.
| ~SolverOptions ()
| Class destructor.
bool | IsEqual (SolverOptions *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setSolverOptions (int numberOfOptions, SolverOption **solverOption)
| A function to set an array of solver options.
bool | addSolverOption (std::string name, std::string value, std::string solver, std::string category, std::string type, std::string description)
| A function to add a solver option.
## Public Attributes
int | numberOfSolverOptions
| the number of solver options
SolverOption ** | solverOption
| the list of solver options

## Detailed Description

the SolverOptions class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2882 of file OSOption.h.

## Constructor & Destructor Documentation

SolverOptions::SolverOptions | ( |  | ) |

Default constructor.

Definition at line 1155 of file OSOption.cpp.

References solverOption.

SolverOptions::~SolverOptions | ( |  | ) |

Class destructor.

Definition at line 1164 of file OSOption.cpp.

References numberOfSolverOptions, and solverOption.

## Member Function Documentation

bool SolverOptions::IsEqual | ( | SolverOptions * | that | ) |

A function to check for the equality of two objects.

Definition at line 10111 of file OSOption.cpp.

References numberOfSolverOptions, and solverOption.

bool SolverOptions::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 11246 of file OSOption.cpp.

References numberOfSolverOptions, OSRand(), SolverOption::setRandom(), and solverOption.

Referenced by OptimizationOption::setRandom().

bool SolverOptions::setSolverOptions | ( | int | numberOfOptions,
|  | SolverOption ** | solverOption |
| ) |  |  |

A function to set an array of solver options.

Parameters:

  | numberOfOptions,: | number of solver options to be set
  | solverOption,: | the array of solver options that are to be set

Definition at line 6085 of file OSOption.cpp.

References SolverOption::category, SolverOption::description, ErrorClass::errormsg, SolverOption::item, SolverOption::name, SolverOption::numberOfItems, numberOfSolverOptions, SolverOption::solver, solverOption, SolverOption::type, and SolverOption::value.

Referenced by OSOption::setSolverOptions().

bool SolverOptions::addSolverOption | ( | std::string | name,
|  | std::string | value,
|  | std::string | solver,
|  | std::string | category,
|  | std::string | type,
|  | std::string | description |
| ) |  |  |

A function to add a solver option.

Parameters:

  | name,: | the name of the solver option (required)
  | value,: | a value associated with the option (optional)
  | solver,: | the solver to which the option applies (optional)
  | category,: | the category (and subcategories) of the option (optional)
  | type,: | the type of the option (optional)
  | description,: | a description associated with the option (optional)

Definition at line 6137 of file OSOption.cpp.

References SolverOption::category, SolverOption::description, ErrorClass::errormsg, SolverOption::name, SolverOption::numberOfItems, numberOfSolverOptions, SolverOption::solver, solverOption, SolverOption::type, and SolverOption::value.

Referenced by OSOption::setAnotherSolverOption().

## Member Data Documentation

int SolverOptions::numberOfSolverOptions

the number of solver options

Definition at line 2886 of file OSOption.h.

Referenced by addSolverOption(), OSOption::getNumberOfSolverOptions(), IsEqual(), OSOption::setNumberOfSolverOptions(), setRandom(), OSOption::setSolverOptionContent(), OSOption::setSolverOptions(), setSolverOptions(), and ~SolverOptions().

SolverOption** SolverOptions::solverOption

the list of solver options

Definition at line 2889 of file OSOption.h.

Referenced by addSolverOption(), OSOption::getAllSolverOptions(), IsEqual(), OSOption::setNumberOfSolverOptions(), setRandom(), OSOption::setSolverOptionContent(), setSolverOptions(), SolverOptions(), and ~SolverOptions().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp